Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Interface RoutableChannelHandler

All Superinterfaces:
  ChannelHandler

All Known Subinterfaces:
  ClientSession, ComponentSession, ConnectionMultiplexerSession, IncomingServerSession, OutgoingServerSession, Session

All Known Implementing Classes:
  FileTransferProxy, HttpSession, InternalComponentManager, LocalClientSession, LocalComponentSession, LocalConnectionMultiplexerSession, LocalIncomingServerSession, LocalOutgoingServerSession, LocalSession, MediaProxyService, OutgoingSessionPromise, PubSubModule

    public interface RoutableChannelHandler

extends ChannelHandler

Author:
  Matt Tucker

Method Summary
`org.xmpp.packet.JID` | `getAddress()` Returns the XMPP address.

Methods inherited from interface org.jivesoftware.openfire.ChannelHandler
`process`

Method Detail

### getAddress

    org.xmpp.packet.JID getAddress()

  Returns the XMPP address. The address is used by services like the core server packet router to determine if a packet should be sent to the handler. Handlers that are working on behalf of the server should use the generic server hostname address (e.g. server.com).

  Returns:
    the XMPP address.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.